#!/cgi-shl/perl -w
######################################################################
# 10/08/96                    LOG_URL.PL                       v 1.0 #
######################################################################
# AUTHOR:                 Hugh J. O'Donnell                          #
#                           hugh@toto.net                            #
#              http://www.toto.net/hugh/creations.html               #
######################################################################
# DESCRIPTION:  LOG_URL does a very simple task.  It logs the date   #
#               and who clicked on a certain link.  This is ideal    #
#               for tracking how many times files are downloaded.    #
######################################################################


#############
# VARIABLES #
#############
  ## change this to the REAL directory to the script ##
  $SCRIPT_DIR = "c:/website/pub/hugh/cgi-shl/"


#########################
# Begin the execution   #
#########################
  ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
  if ($mon  < 10) {$mon  = "0$mon";}
  $mon++;
  if ($mday < 10) {$mday = "0$mday";}
  if ($year < 10) {$year = "0$year";}
  if ($hour < 10) {$hour = "0$hour";}
  if ($min  < 10) {$min  = "0$min";}
  if ($sec  < 10) {$sec  = "0$sec";}
  $date = "$WDAYS[$wday], $MONTHS[$mon] $mday, 19$year at $hour:$min:$sec (CDT)\n";

  &RUN_IT;


###################################################################
# RUN_IT: Main block of program                                   #
###################################################################
  sub RUN_IT
    {
     $string = $ENV{'QUERY_STRING'};
     ($logfile, $goto) = split(/!/, $string);
     $logfile = $SCRIPT_DIR.$logfile;
      
     open(LOG, "$logfile") || &CANTOPEN;
     $templog = $logfile.".bak";
     open(TEMP, ">$templog") || &CANTOPEN;

     while (<LOG>) {print TEMP "$_";}

     print TEMP "$mon/$mday/$year at $hour:$min:$sec -- $ENV{'REMOTE_ADDR'} ($ENV{'REMOTE_HOST'})\n";

     close LOG;
     close TEMP;
    
     rename($templog, $logfile);

     print "Location: $goto\n\n";   

     exit;   
    }


#############
# CANTOPEN: #
#############
sub CANTOPEN
  {
   print "Content-Type: text/html\n\n";
   print "<HTML>\n";
   print "<HEAD><TITLE>Can't Open $logfile!</TITLE></HEAD>\n";
   print "<BODY>\n";
   print "     <CENTER><H1>Can't Open $logfile!</H1></CENTER>\n";
   print "     <CENTER><H2>Make sure you have created the empty file!!!</H2></CENTER>\n";
   print "</BODY>\n";
   print "</HTML>\n";

   exit;   
  }

exit;
1;